JNA API 3.3.0

## com.sun.jna.platform.win32
Interface LMCons

All Superinterfaces:
  AltCallingConvention, Library, StdCall, StdCallLibrary

    public interface LMCons

extends StdCallLibrary

Ported from LMCons.h.

Author:
  dblock[at]dblock.org Windows SDK 6.0A

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary
`StdCallLibrary.StdCallCallback`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`Library.Handler`

Field Summary
`static int` | `MAX_PREFERRED_LENGTH` Value to be used with APIs which have a "preferred maximum length" parameter.
`static int` | `NETBIOS_NAME_LEN`

Fields inherited from interface com.sun.jna.win32.StdCallLibrary
`FUNCTION_MAPPER, STDCALL_CONVENTION`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Field Detail

### NETBIOS_NAME_LEN

    static final int NETBIOS_NAME_LEN

See Also:
  Constant Field Values

### MAX_PREFERRED_LENGTH

    static final int MAX_PREFERRED_LENGTH

  Value to be used with APIs which have a "preferred maximum length" parameter. This value indicates that the API should just allocate "as much as it takes."

  See Also:
    Constant Field Values

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.